/******************************************************************************
 *
 * Copyright (C) 2010 by
 *
 *               CGTD ICARE
 *               Université des Sciences et Technologies de Lille 1
 *               Polytech'Lille - Bâtiment Eydoux - Bureau E207
 *               Avenue Paul Langevin
 *               59650 Villeneuve d'Ascq Cedex
 *               France
 *
 * Description :
 * -------------
 *
 *   Contains some useful strings manipulation functions
 *
 * Limitations :
 * -------------
 *
 *
 * Author :
 * --------
 *
 *   CGTD-ICARE/UDEV Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>
 *
 * License : 
 * ---------
 *
 *   This file must be used under the terms of the CeCILL.
 *   This source file is licensed as described in the file COPYING, which
 *   you should have received as part of this distribution.  The terms
 *   are also available at    
 *   http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 * History :
 * --------
 *
 *   v0.0.0 : 04/01/2010
 *    - creation
 *
 *****************************************************************************/

#ifndef STRING_TOOLS_H
#define STRING_TOOLS_H

#include <sstream>
#include <string>
#include <vector>
#include <iostream>
using namespace std;

/**
 * @brief convert a numeric to a string
 * @param nb the number to convert
 * @return @a nb as a string representation
 */
template < typename NumericType >
inline string to_string ( const NumericType nb ) {
    ostringstream oss;
    oss << nb;
    return oss.str();
}

#endif
